com.amazonaws.services.simpleworkflow.model

## Class LambdaFunctionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.LambdaFunctionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `LambdaFunctionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` The details of the failure (if any).
`String` `getReason()` The reason provided for the failure (if any).
`Long` `getScheduledEventId()` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`Long` `getStartedEventId()` The ID of the `LambdaFunctionStarted` event recorded in the history.
`int` `hashCode()`
`void` `setDetails(String details)` The details of the failure (if any).
`void` `setReason(String reason)` The reason provided for the failure (if any).
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionFailedEventAttributes` `withDetails(String details)` The details of the failure (if any).
`LambdaFunctionFailedEventAttributes` `withReason(String reason)` The reason provided for the failure (if any).
`LambdaFunctionFailedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`LambdaFunctionFailedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionFailedEventAttributes

    public LambdaFunctionFailedEventAttributes()

### Method Detail

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public LambdaFunctionFailedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `LambdaFunctionStarted` event recorded in the history.

Returns:
  The ID of the `LambdaFunctionStarted` event recorded in the history.

#### withStartedEventId

    public LambdaFunctionFailedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReason

    public void setReason(String reason)

The reason provided for the failure (if any).

Parameters:
  `reason` - The reason provided for the failure (if any).

#### getReason

    public String getReason()

The reason provided for the failure (if any).

Returns:
  The reason provided for the failure (if any).

#### withReason

    public LambdaFunctionFailedEventAttributes withReason(String reason)

The reason provided for the failure (if any).

Parameters:
  `reason` - The reason provided for the failure (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

The details of the failure (if any).

Parameters:
  `details` - The details of the failure (if any).

#### getDetails

    public String getDetails()

The details of the failure (if any).

Returns:
  The details of the failure (if any).

#### withDetails

    public LambdaFunctionFailedEventAttributes withDetails(String details)

The details of the failure (if any).

Parameters:
  `details` - The details of the failure (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`